﻿using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    [Description("撤销件")]
    public class OrderRevocation : CreationEntity
    {
        /// <summary>
        /// 工单ID
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 撤销原因
        /// </summary>
        public string RevocationReason { get; set; }

        /// <summary>
        /// 是否发送撤销短信
        /// </summary>
        public bool IsSendSms { get; set; }
    }
}
