﻿using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace Hotline.Application.Contracts.Validators.Order;

public class AddOrderDtoValidator : AbstractValidator<AddOrderDto>
{
    public AddOrderDtoValidator()
    {
        RuleFor(d => d.Content).NotEmpty().WithMessage("请填写工单内容");
    }
}