﻿using Hotline.Share.Enums.FlowEngine;
using Hotline.Share.Enums.Order;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order
{
	public class HomeOrderDto
	{
		/// <summary>
		/// 工单编号
		/// </summary>
		public string No { get; set; }

		/// <summary>
		/// 工单Id
		/// </summary>
		public string OrderId { get; set; }

		/// <summary>
		/// 工单标题
		/// </summary>
		public string Title { get; set; }

		/// <summary>
		/// 受理类型
		/// </summary>
		public string? AcceptType { get; set; }

		/// <summary>
		/// 热点类型
		/// </summary>
		public string? HotspotName { get; set; }

		/// <summary>
		/// 时间
		/// </summary>
		public DateTime? Time { get; set; }

		/// <summary>
		/// 类型
		/// </summary>
		public string Type { get; set; }

		/// <summary>
		/// 会签类型
		/// </summary>
		public ECounterSignType? CounterSignType { get; set; }

		/// <summary>
		/// 工单状态
		/// </summary>
		public EOrderStatus Status { get; set; }

		/// <summary>
		/// 实际办理时间
		/// </summary>
		public DateTime? ActualHandleTime { get; set; }

	}
}