﻿using Hotline.Settings;

namespace Hotline.Caching.Interfaces
{
    public interface ISystemSettingCacheManager
    {
        SystemSetting? GetSetting(string code);
        void DelSystemSetting(string code);
        int NoConnectByeTimes { get; }
        int EffectiveTimes { get; }
        int ConnectByeTimes { get; }
        int CallInOverConnRingTime { get; }
        int SeatChaoTime { get; }
        int RingTimes { get; }
        string RecordPrefix { get; }
    }
}
